<style>
  
  div.wrapper {
      position: relative;
      width: fit-content;
  }

  div.ribbon-wrapper-red {
    width: 90px;
    height: 90px;
    overflow: hidden;
    position: absolute;
    top: -3px;
    right: -3px;
  }

  div.ribbon-red {
    font: bold 15px Sans-Serif;
    color: #fff;
    text-align: center;
    text-shadow: rgba(255, 255, 255, 0.5) 0px 1px 0px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    position: relative;
    padding: 7px 0;
    left: -5px;
    top: 15px;
    width: 120px;
    background-color: #ea181e;
    background-image: -webkit-gradient(
      linear,
      left top,
      left bottom,
      from(#ea181e),
      to(#b90005)
    );
    background-image: -webkit-linear-gradient(top, #ea181e, #b90005);
    background-image: -moz-linear-gradient(top, #bfdc7a, #8ebf45);
    background-image: -ms-linear-gradient(top, #bfdc7a, #8ebf45);
    background-image: -o-linear-gradient(top, #bfdc7a, #8ebf45);
    color: #fff;
    -webkit-box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
  }
</style>

<div class="wrapper">
  <slot />
  <div class="ribbon-wrapper-red">
    <div class="ribbon-red">ALPHA</div>
  </div>
</div>
